import { Map } from 'immutable';
import * as React from 'react';
import { buildFastReducer } from './build-reducer';
interface IProps {
    keyPath: string[];
    children: <T extends Map<any, any>>(state: T) => React.ReactNode;
    didMount?(): void;
}
interface IState {
    didMount: boolean;
}
declare class ReduxFast extends React.Component<IProps & {
    dispatch: any;
}> {
    state: IState;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): {} | null | undefined;
}
declare const _default: import("react-redux").ConnectedComponentClass<typeof ReduxFast, Pick<IProps & {
    dispatch: any;
}, "keyPath" | "children" | "didMount">>;
export default _default;
export { buildFastReducer };
