import { Map } from 'immutable';
export declare const REDUCER_KEY = "fast";
/**
 * 快速改变状态
 * @param keyPath immatable路径
 * @param cd 回调，改变状态的函数
 * @param meta action的meta
 */
export declare const setFastState: <T, K>(keyPath: string[], cb: (state: Map<T, K>) => Map<T, K>, meta?: string | undefined) => {
    type: string;
    payload: {
        keyPath: string[];
        cb: (state: Map<T, K>) => Map<T, K>;
    };
    meta: string | undefined;
};
export declare const getFastState: (keyPath: string[]) => (dispatch: any, getState: any) => any;
export declare const unmount: (keyPath: string[]) => {
    type: string;
    payload: {
        keyPath: string[];
    };
};
declare const reduccer: import("redux-actions").ReduxCompatibleReducer<any, any>;
export default reduccer;
